/*
 * PRC-Tools $B9V:B(B $B%5%s%W%k%W%m%0%i%`(B 1
 *
 * Copyright (c) 2002 WATANABE, Yoshiki
 */

#include <PalmOS.h>

#define HELLO_WORLD "Hello World"

/*
 * StartApplication -- $B%"%W%j%1!<%7%g%s$N=i4|2=$r9T$J$&(B
 * 
 * $B$3$3$G(B "Hellow World" $B$rI=<($9$k(B
 */
static Err StartApplication(void)
{
    WinDrawChars(HELLO_WORLD, StrLen(HELLO_WORLD), 10, 80);
    return errNone;
}

/*
 * EventLoop -- $B%$%Y%s%H$r<h$j9~$_I,MW$J=hM}$r9T$J$&(B
 * 
 * $B$3$N%5%s%W%k$G$O=*N;$N%$%Y%s%H$,H/@8$9$k$^$GBT$AB3$1$k(B
 */
static void EventLoop(void)
{
    EventType event;

    do {
	EvtGetEvent(&event, evtWaitForever);
	SysHandleEvent(&event);
    } while (event.eType != appStopEvent);
}


/*
 * StopApplication -- $B%"%W%j%1!<%7%g%s$N=*N;;~$N=hM}$r9T$J$&(B
 * 
 * $B$3$N%5%s%W%k$G$O2?$b$9$k$3$H$,$J$$(B
 */
static void StopApplication(void)
{
}

/*
 * PilotMain -- $B$3$N%"%W%j%1!<%7%g%s$N%a%$%s4X?t$G$"$k(B
 * 
 * $B$3$N%5%s%W%k$G$ODL>o$N5/F0J}K!(B (sysAppLaunchCmdNormalLaunch) $B$G$N$_F0:n$9$k(B
 */
UInt32 PilotMain(UInt16 cmd, MemPtr cmdPBP, UInt16 launchFlags)
{
    Err error = errNone;

    switch (cmd) {
    case sysAppLaunchCmdNormalLaunch:
	error = StartApplication();
	EventLoop();
	StopApplication();
	break;
    }

    return error;
}
